2019-08-21 22:51 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005947Spring engineGeneralpublic2018-04-03 01:38
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0005947: 104.0.1-350-gc2fb732 maintenance Stuck constructor
DescriptionA constructor became stuck on structures just outside its build range. I reproduced the issue on the latest engine with luarules disabled (before I gave the command).

Occurred in this game in the bottom right around 10:30 - https://zero-k.info/Battles/Detail/493520
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018963

Kloot (developer)

Fix d12dbb9fd07069257365d9e83b89a9d898fe5655 committed to develop branch: fix 0005947, repo: spring changeset id: 9913

~0018964

Kloot (developer)

Fix 58d4066b753cfd3fa1e5acc40a8dfa4c0595c80e committed to maintenance branch: fix 0005947, repo: spring changeset id: 9914
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-04-02 03:59 Google_Frog New Issue
2018-04-02 03:59 Google_Frog File Added: screen00027.jpg
2018-04-02 04:00 Google_Frog File Added: 20180402_115439_The river Nix 20_104.0.1-350-gc2fb732 maintenance.sdfz
2018-04-02 17:11 Kloot Assigned To => Kloot
2018-04-02 17:11 Kloot Status new => assigned
2018-04-03 01:37 Kloot Changeset attached => spring develop d12dbb9f
2018-04-03 01:37 Kloot Note Added: 0018963
2018-04-03 01:37 Kloot Status assigned => resolved
2018-04-03 01:37 Kloot Resolution open => fixed
2018-04-03 01:38 Kloot Changeset attached => spring maintenance 58d4066b
2018-04-03 01:38 Kloot Note Added: 0018964
+Issue History